Skip to main content
GET
/
audit-logs
List storefront activity
curl --request GET \
  --url https://api.agentic.scope3.com/api/v2/storefront/audit-logs \
  --header 'Authorization: Bearer <token>'
{
  "logs": [
    {
      "id": 0,
      "timestamp": "<string>",
      "createdAt": "<string>",
      "action": "<string>",
      "resourceType": "<string>",
      "resourceId": "<string>",
      "resourceName": "<string>",
      "userId": 0,
      "userEmail": "<string>",
      "userName": "<string>",
      "serviceTokenId": 0,
      "serviceTokenName": "<string>",
      "parameters": {},
      "changes": {},
      "description": "<string>"
    }
  ],
  "total": 4503599627370495
}

Documentation Index

Fetch the complete documentation index at: https://docs.agentic.scope3.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key or access token

Query Parameters

startDate
string

ISO timestamp; only include audit logs at or after this time

Example:

"2026-03-01T00:00:00Z"

endDate
string

ISO timestamp; only include audit logs at or before this time

Example:

"2026-04-01T00:00:00Z"

inventorySourceId
string

Filter to a single storefront inventory source by source ID

Example:

"source_abc123"

resourceTypes

Filter to a subset of storefront resource types. Defaults to all storefront resource types.

Available options:
STOREFRONT,
STOREFRONT_INVENTORY_SOURCE
take
integer
default:50

Number of results to return (max 500)

Required range: x <= 500
Example:

50

skip
integer
default:0

Number of results to skip for pagination

Required range: 0 <= x <= 9007199254740991
Example:

0

Response

List storefront activity

Paginated list of storefront activity audit logs

logs
object[]
required
total
integer
required
Required range: 0 <= x <= 9007199254740991